
export default prefix => {
  return {
    listTicket: {
      url: `${prefix}/ticketLiset`,
      method: 'post',
      action: 'admin.ticket.list'
    },

    ticketEdit: {
      url: `${prefix}/ticketDetails`,
      method: 'post',
      action: 'admin.ticket.detail'
    },

    addRecordComment: {
      url: `${prefix}/addRecordComment`,
      method: 'post',
      action: 'admin.comment.add'
    },

    addRecord: {
      url: `${prefix}/addRecord`,
      method: 'post',
      action: 'admin.record.add'
    },

    updateTicketStatus: {
      url: `${prefix}/updateTicketStatus`,
      method: 'post',
      action: 'admin.ticket-status.update'
    },

    updateTicket: {
      url: `${prefix}/updateTicket`,
      method: 'post',
      action: 'admin.ticket.update'
    },

    updateTicketPrice: {
      url: `${prefix}/updateTicketPrice`,
      method: 'post',
      action: 'admin.ticket.updatePrice'
    },

    endTicket: {
      url: `${prefix}/endTicket`,
      method: 'post',
      action: 'admin.ticket.endTicket'
    },

    repairType: {
      getList: {
        url: `${prefix}/tpRepairType`,
        method: 'get',
        action: 'admin.tpRepairType.list'
      },
      saveType: {
        url: `${prefix}/tpRepairType`,
        method: 'post',
        action: 'admin.tpRepairType.save'
      },
      updateType: {
        url: `${prefix}/tpRepairType/:id`,
        method: 'put',
        action: 'admin.tpRepairType.update'
      },
      deleteType: {
        url: `${prefix}/tpRepairType/:id`,
        method: 'delete',
        action: 'admin.tpRepairType.delete'
      },
      getDetail: {
        url: `${prefix}/tpRepairType/:id`,
        method: 'get',
        action: 'admin.tpRepairType.get'
      },

    }
  }
}
